import { ICustomResourcePatch } from '../patches';
import { GlobalSection } from './base';
export declare class BranchStrategiesExpander extends GlobalSection {
    protected static fileName?: string;
    applicableProviders: string[];
    __validate(): Promise<boolean>;
    constructor(data: any);
    __patches(claim: any, previousCR: any): Promise<ICustomResourcePatch[]>;
}
